function leegklik()
{
	 geklikt('');
}
function item_over(desc)
{
	if (dragobject == null)
	{
		document.getElementById("extraatje").innerHTML = desc;
	}
}
function item_nr_over(cat, catnr)
{
	if (dragobject == null)
	{
		document.getElementById("extraatje").innerHTML = podium[cat+'_'+catnr]['omschrijf'];
	}
}
function item_out()
{
	if (dragobject == null)
	{
		document.getElementById("extraatje").innerHTML = "";
	}
}
function save_item(item_nr)
{
	if (verbinding == "ja")
	{
		if (ajax_vrij4 == "ja")
		{
		 	ajax_vrij4 = "nee";
			save_item_nr = item_nr;
			save_kamer_id = kamer_id;
			save_tegel = savegedoe[item_nr]['tegel'];
			save_x = savegedoe[item_nr]['x'];
			save_y = savegedoe[item_nr]['y'];
			save_z = savegedoe[item_nr]['z'];
			save_h = savegedoe[item_nr]['h'];
			save_actie = savegedoe[item_nr]['actie'];
			save_stapelnr = savegedoe[item_nr]['stapelnr'];
			save_handstatus = savegedoe[item_nr]['handstatus'];
			xmlhttp4.open("GET", "save_item.php?naam="+jouwnaam+"&pass="+sessie_wachtwoord+"&item_nr="+save_item_nr+"&kamer_id="+save_kamer_id+"&tegel="+save_tegel+"&x="+save_x+"&y="+save_y+"&z="+save_z+"&h="+save_h+"&actie="+save_actie+"&handstatus="+save_handstatus+"&stapelnr="+save_stapelnr+"&random="+Math.round(9000*Math.random()), true);
    		xmlhttp4.onreadystatechange=function()
    		{
		       	if (xmlhttp4.readyState==4)
    	   		{
		 			if(xmlhttp4.status != 200)
		 			{
		  				verbinding = "nee";
		 			}
		 			ajax_vrij4 = "ja";
				}
			}
			xmlhttp4.send(null);
		}
		else
		{
			setTimeout("save_item("+item_nr+")", 1000);
		}
	}
}
function handel_del_item(item_nr)
{
	if (verbinding == "ja")
	{
		if (ajax_vrij4 == "ja")
		{
		 	ajax_vrij4 = "nee";
			xmlhttp4.open("GET", "handel_del_item.php?naam="+jouwnaam+"&pass="+sessie_wachtwoord+"&item_nr="+item_nr+"&random="+Math.round(9000*Math.random()), true);
    		xmlhttp4.onreadystatechange=function()
    		{
		       	if (xmlhttp4.readyState==4)
    	   		{
	    	   		if(xmlhttp4.status == 200)
		 			{
	    	   			update_money(xmlhttp4.responseText);
    	   			}
    	   			else
    	   			{
		  				verbinding = "nee";
		 			}
		 			ajax_vrij4 = "ja";
				}
			}
			xmlhttp4.send(null);
		}
		else
		{
			setTimeout("handel_del_item("+item_nr+")", 1000);
		}
	}
}
function kado_open_send(item_nr)
{
	if (verbinding == "ja")
	{
		if (ajax_vrij4 == "ja")
		{
		 	ajax_vrij4 = "nee";
			xmlhttp4.open("GET", "kado_open.php?naam="+jouwnaam+"&pass="+sessie_wachtwoord+"&item_nr="+item_nr+"&random="+Math.round(9000*Math.random()), true);
    		xmlhttp4.onreadystatechange=function()
    		{
		       	if (xmlhttp4.readyState==4)
    	   		{
	    	   		if(xmlhttp4.status == 200)
		 			{
			 			savegedoe[item_nr]['cat'] = (xmlhttp4.responseText.split(/_/)[0])*1;
			 			savegedoe[item_nr]['catnr'] = (xmlhttp4.responseText.split(/_/)[1])*1;
			 			pak_op(this_kado);
			 			HideContent('kado_strikje');
						ShowContent('kado_icon');
						document.getElementById('kado_icon').src = "images/items/"+savegedoe[item_nr]['cat']+"/"+savegedoe[item_nr]['catnr']+"/icon.gif";
    	   			}
    	   			else
    	   			{
		  				verbinding = "nee";
		 			}
		 			ajax_vrij4 = "ja";
				}
			}
			xmlhttp4.send(null);
		}
		else
		{
			setTimeout("kado_open_send("+item_nr+")", 1000);
		}
	}
}
function save_config(item_nr)
{
	if (verbinding == "ja")
	{
		if (ajax_vrij4 == "ja")
		{
			ajax_vrij4 = "nee";
			xmlhttp4.open("GET", "config_item.php?naam="+jouwnaam+"&pass="+sessie_wachtwoord+"&cat="+podium[item_nr]['cat']+"&catnr="+podium[item_nr]['catnr']+"&waarde0="+meubisetting[item_nr][0]+"&waarde1="+meubisetting[item_nr][1]+"&waarde2="+meubisetting[item_nr][2]+"&waarde3="+meubisetting[item_nr][3]+"&waarde4="+meubisetting[item_nr][4]+"&waarde5="+meubisetting[item_nr][5]+"&waarde6="+meubisetting[item_nr][6]+"&waarde7="+meubisetting[item_nr][7]+"&waarde8="+meubisetting[item_nr][8]+"&waarde9="+meubisetting[item_nr][9]+"&waarde10="+meubisetting[item_nr][10]+"&random="+Math.round(9000*Math.random()), true);
    		xmlhttp4.onreadystatechange=function()
    		{
		       	if (xmlhttp4.readyState==4)
    	   		{
		    	   	if(xmlhttp4.status != 200)
		 			{
		  				verbinding = "nee";
		 			}
		 			ajax_vrij4 = "ja";
				}
			}
			xmlhttp4.send(null);
		}
		else
		{
			setTimeout("save_config("+item_nr+")", 1000);
		}
	}
}
function set_gebruik()
{
	check_tegels_array = "";
	stapelgebruik = "";
	stapelgebruik = new Array();
	for (i1 = 1; i1 <= kamer_lengte; i1++)
	{
		for (i2 = 1; i2 <= kamer_breedte; i2++)
		{
			tegel = i2+"_"+i1;
			stapelgebruik[tegel] = new Array();
			var x;
			teller = 0;
			teller2 = 0;
			for (x in thismeubi)
			{
				this_item_nr = thismeubi[teller];
				this_tegel = savegedoe[this_item_nr]['tegel'];
				this_stapelnr = savegedoe[this_item_nr]['stapelnr'];
				if (this_tegel == tegel && this_stapelnr != 0)
				{
					/*if (savegedoe[this_item_nr]['soortnr'] == 7)
					{
						teller2++;
						stapelgebruik[(i2-1)+'_'+i1][0] = 1;
						stapelgebruik[(i2-1)+'_'+i1][this_stapelnr] = this_item_nr;
					}
					else
					{*/
					stapelgebruik[tegel][this_stapelnr] = this_item_nr;
					teller2++;
					//}
				}
				teller++;
			}
			stapelgebruik[tegel][0] = teller2;
		}
	}
	tegelgebruik = "";
	tegelgebruik = new Array();
	for (i1 = 1; i1 <= kamer_lengte; i1++)
	{
		for (i2 = 1; i2 <= kamer_breedte; i2++)
		{
			tegel = i2+"_"+i1;
			tegelgebruik[tegel] = "vrij";
		}
	}
	var x;
	teller = 0;
	for (x in thismeubi)
	{
		this_item_nr = thismeubi[teller];
		this_tegel = savegedoe[this_item_nr]['tegel'];
		this_handstatus = savegedoe[this_item_nr]['handstatus'];
		this_draai = (savegedoe[this_item_nr]['h']*1);
		if (this_handstatus == "nee")
		{
			tegel1 = (this_tegel.split(/_/)[0])*1;
			tegel2 = (this_tegel.split(/_/)[1])*1;
			this_lengte = meubisetting[savegedoe[this_item_nr]['cat']+"_"+savegedoe[this_item_nr]['catnr']][9];
			this_breedte = meubisetting[savegedoe[this_item_nr]['cat']+"_"+savegedoe[this_item_nr]['catnr']][10];
			begintegel1 = tegel1;
			begintegel2 = tegel2;
			switch(this_draai)
			{
				case 1:
					lengte = this_lengte;
					breedte = this_breedte;
					break;
				case 2:
					lengte = this_breedte;
					breedte = this_lengte;
					break;
				case 3:
					lengte = this_lengte;
					breedte = this_breedte;
					break;
				case 4:
					lengte = this_breedte;
					breedte = this_lengte;
					break;
			}
			for (i1 = 0; i1 < lengte; i1++)
			{
				for (i2 = 0; i2 < breedte; i2++)
				{
					tegelgebruik[(tegel1-i1)+"_"+(tegel2+i2)] = this_item_nr;
				}
			}
		}
		teller++;
	}
}
function maak_tegel_array(tegelstart, this_draai, this_lengte, this_breedte)
{
	uitvoer = new Array();
	uitvoer_teller = 0;
	tegel1 = (tegelstart.split(/_/)[0])*1;
	tegel2 = (tegelstart.split(/_/)[1])*1;
	begintegel1 = tegel1;
	begintegel2 = tegel2;
	switch((this_draai*1))
	{
		case 1:
			lengte = this_lengte;
			breedte = this_breedte;
			break;
		case 2:
			lengte = this_breedte;
			breedte = this_lengte;
			break;
		case 3:
			lengte = this_lengte;
			breedte = this_breedte;
			break;
		case 4:
			lengte = this_breedte;
			breedte = this_lengte;
			break;
	}
	for (i1 = 0; i1 < lengte; i1++)
	{
		for (i2 = 0; i2 < breedte; i2++)
		{
			uitvoer[uitvoer_teller] = (tegel1-i1)+"_"+(tegel2+i2);
			uitvoer_teller++;
		}
	}
	return uitvoer;
}
function checktegel(mouse_x, mouse_y, tegel_x, tegel_y)
{
	if (mouse_x >= tegel_x && mouse_x <= tegel_x+66 && mouse_y >= tegel_y && mouse_y <= tegel_y+33)
	{
		document.getElementById('tegel_licht').style.left = tegel_x;
		document.getElementById('tegel_licht').style.top = tegel_y;
		ShowContent('tegel_licht');
		return true;
	}
	else
	{
		return false;
	}
}
function checkmuur(muurtype, mouse_x, mouse_y, uitvoertype, muur_x, muur_y)
{
	if (uitvoertype == 1)
	{
		if (muurtype == 1)
		{
			y_bereken = 133;
		}
		else
		{
			y_bereken = 165;
		}
		if (mouse_x >= muur_x && mouse_x <= muur_x+32 && mouse_y >= muur_y && mouse_y <= (muur_y+y_bereken))
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	else
	{
		if (mouse_x >= muur_x && mouse_x <= muur_x+32)
		{
			return true;
		}
		else
		{
			return false;
		}
	}
}
function checkvloer(posx, posy, start_x, start_y, lang, breed)
{
	to_return = "geen";
	if (vloer_done)
	{
		eval(vloer_eval);
	}
	else
	{
		kamer_start_x = start_x;
		kamer_start_y = start_y;
		vloer_posx = new Array();
		vloer_posy = new Array();
		this_x = start_x;
		this_y = start_y;
		for (i1 = 1; i1 <= lang; i1++)
		{
			for (i2 = 1; i2 <= breed; i2++)
			{
				tegel1 = i2;
				tegel2 = i1;
				if (!(in_array(tegel1+'_'+tegel2, vloer_disable)))
				{
					vloer_eval = vloer_eval +'if (checktegel(posx, posy, '+this_x+', '+this_y+')) { tegel1 = '+tegel1+'; tegel2 = '+tegel2+'; tegelx = '+this_x+'; tegely = '+this_y+'; to_return = "ja"; }';
					vloer_posx[tegel1+'_'+tegel2] = this_x;
					vloer_posy[tegel1+'_'+tegel2] = this_y;
				}
				this_x = this_x - 32;
				this_y = this_y + 16;
			}
			this_x = start_x + (i1 * 32);
			this_y = start_y + (i1 * 16);
		}
	}
	return to_return;
}
function vrijtegel(tegel, huidigitem, huidigtegel)
{
	tegel_result = "vrij";
	stapel = "nee";
	var x;
	teller = 0;
	for (x in thismeubi)
	{
		this_item_nr = thismeubi[teller];
		this_check_tegel = savegedoe[this_item_nr]['tegel'];
		if (this_check_tegel == tegel)
		{
			if (this_item_nr == huidigitem)
			{
				tegel_result = "huidig";
			}
			else
			{
				this_stapel = meubisetting[savegedoe[this_item_nr]['cat']+"_"+savegedoe[this_item_nr]['catnr']][6];
				if (this_stapel == "ja")
				{
					tegel_result = this_item_nr;
					stapel = "ja";
				}
				else
				{
					tegel_result = "bezet";
				}
			}
		}
		teller++;
	}
	if (stapel == "nee")
	{
		if (tegelgebruik[tegel] != "vrij" && tegelgebruik[tegel] != "undefined")
		{
			if (tegelgebruik[tegel] == huidigitem)
			{
				tegel_result = "vrij";
			}
			else
			{
				tegel_result = "bezet";
			}
		}
	}
	if (tegel == huidigtegel)
	{
		tegel_result = "huidig";
	}
	if (in_array(tegel, vloer_disable))
	{
		tegel_result = "bezet";
	}
	return tegel_result;
}
function vrijtegel_pop(tegel)
{
	tegel_result = "vrij";
	var x;
	teller = 0;
	for (x in thismeubi)
	{
		this_item_nr = thismeubi[teller];
		this_check_tegel = savegedoe[this_item_nr]['tegel'];
		if (this_check_tegel == tegel)
		{
			tegel_result = "bezet";
		}
		teller++;
	}
	if (tegelgebruik[tegel] != "vrij" && tegelgebruik[tegel] != "undefined")
	{
		tegel_result = "bezet";
	}
	var x;
	teller = 0;
	for (x in poppetjes_bezet)
	{
		if (poppetjes_bezet[teller] == tegel)
		{
			tegel_result = "bezet";
		}
		teller++;
	}
	if (in_array(tegel, vloer_disable))
	{
		tegel_result = "bezet";
	}
	return tegel_result;
}
function to_item(naam)
{
	thisrotate = savegedoe[naam]['h'];
	thisaction = savegedoe[naam]['actie'];
	thisextra = "";
	if (thisaction == "ja")
	{
		thisextra = "b";
	}
	document.getElementById('src'+naam).src = "images/items/"+savegedoe[naam]['cat']+"/"+savegedoe[naam]['catnr']+"/"+thisrotate+thisextra+".gif";
}
function to_icon(naam)
{	
	document.getElementById('src'+naam).src = "images/items/"+savegedoe[naam]['cat']+"/"+savegedoe[naam]['catnr']+"/icon.gif";
}
function draginit()
{
	document.onmousemove = drag;
	document.onmouseup = dragstop;
}
function dragstart(element)
{
	if (kamer_eigenaar == jouwnaam)
	{
		dragobject = element;
		zet_neer_status = "nee";
		document.getElementById('src'+dragobject.id).className = 'item_trans2';
		dragsettings = meubisetting[savegedoe[dragobject.id]['cat']+"_"+savegedoe[dragobject.id]['catnr']];
		handstatus = savegedoe[dragobject.id]['handstatus'];
		if (handstatus == "nee")
		{
			document.getElementById('schim').style.left = dragobject.style.left;
			document.getElementById('schim').style.top = dragobject.style.top;
			document.getElementById('schim').style.zIndex = dragobject.style.zIndex;
			document.getElementById('srcschim').src = document.getElementById('src'+dragobject.id).src;
			ShowContent('schim');
		}
		laatlos = "nee";
		dragobject.style.zIndex = get_top()*1;
		to_icon(dragobject.id);
		dragwidth = document.getElementById('src'+dragobject.id).width;
		dragheight = document.getElementById('src'+dragobject.id).height;
		dragx = Math.ceil(dragwidth/2);
		dragy = Math.ceil(dragheight/2);
		max_x = 720 - dragwidth;
		max_y = 490 - dragheight;
		x = (posx - dragx);
		y = (posy - dragy);
		if (x < 0)
		{
			x = 0;
		}
		if (y < 0)
		{
			y = 0;
		}
		if (x > max_x)
		{
			x = max_x;
		}
		if (y > max_y)
		{
			y = max_y;
		}
		dragwidth = document.getElementById('src'+dragobject.id).width;
		dragheight = document.getElementById('src'+dragobject.id).height;
		max_x = 720 - dragwidth;
		max_y = 490 - dragheight;
		dragobject.style.left = x + "px";
		dragobject.style.top = y + "px";
		setTimeout("zet_neer_status = 'ja';", 100);
		
	}
	return false;
}
function drag(posities)
{
	posx = document.all ? window.event.clientX : posities.pageX;
	posy = document.all ? window.event.clientY : posities.pageY;
	if (dragobject != null)
	{
		changepos = true;
		x = (posx - dragx);
		y = (posy - dragy);
		if (x < 0)
		{
			x = 0;
		}
		if (y < 0)
		{
			y = 0;
		}
		if (x > max_x)
		{
			x = max_x;
		}
		if (y > max_y)
		{
			y = max_y;
		}
		if (room_hand_status == "ja")
		{
			if (posx <= 720 && posy <= 162 && posx >= 453 && posy >= 0)
			{
				handstatus = "ja";
				to_icon(dragobject.id);
				document.getElementById('src'+dragobject.id).className = 'item_solid';
				dragwidth = document.getElementById('src'+dragobject.id).width;
				dragheight = document.getElementById('src'+dragobject.id).height;
				dragx = Math.ceil(dragwidth/2);
				dragy = Math.ceil(dragheight/2);
				max_x = 720 - dragwidth;
				max_y = 490 - dragheight;
			}
			else
			{
				handstatus = "nee";
				to_item(dragobject.id);
				dragwidth = document.getElementById('src'+dragobject.id).width;
				dragheight = document.getElementById('src'+dragobject.id).height;
				dragx = Math.ceil(dragwidth/2);
				dragy = Math.ceil(dragheight/2);
				max_x = 720 - dragwidth;
				max_y = 490 - dragheight;
			}
		}
		else
		{
			handstatus = "nee";
			to_item(dragobject.id);
			dragwidth = document.getElementById('src'+dragobject.id).width;
			dragheight = document.getElementById('src'+dragobject.id).height;
			dragx = Math.ceil(dragwidth/2);
			dragy = Math.ceil(dragheight/2);
			max_x = 720 - dragwidth;
			max_y = 490 - dragheight;
		}
		laatlos = "ja";
		if (handstatus == "nee")
		{
			this_tegel = checktegels(posx, posy);
			roep_tegel = this_tegel[1]+"_"+this_tegel[2];
			check_tegels_array = maak_tegel_array(roep_tegel, savegedoe[dragobject.id]['h'], dragsettings[9], dragsettings[10])
			aantal_vrij = 0;
			aantal_bezet = 0;
			aantal_huidig = 0;
			for (i = 0; i < check_tegels_array.length; i++)
			{
				this_check = vrijtegel(check_tegels_array[i], dragobject.id, savegedoe[dragobject.id]['tegel']);
				if (this_check == "vrij")
				{
					aantal_vrij++;
				}
				if (this_check == "bezet")
				{
					aantal_bezet++;
				}
				if (this_check == "huidig")
				{
					aantal_huidig++;
				}
			}
			if (aantal_bezet == 0)
			{
				if ((aantal_vrij+aantal_huidig) == check_tegels_array.length)
				{
					if(aantal_vrij != 0)
					{
						resultaat = "vrij";
					}
					else
					{
						resultaat = "huidig";
					}
				}
				else
				{
					resultaat = "stapel";
				}
			}
			else
			{
				resultaat = "bezet";
			}
			check_vrij_tegel = resultaat;
			if (podium[savegedoe[dragobject.id]['cat']+"_"+savegedoe[dragobject.id]['catnr']]['soort'] != "poster")
			{
				if (this_tegel[0] == "ja")
				{
					if (check_vrij_tegel == "vrij")
					{
						laatlos = "ja";
						to_item(dragobject.id);
						document.getElementById('src'+dragobject.id).className = 'item_solid';
						this_draai = savegedoe[dragobject.id]['h'];
						this_actie = savegedoe[dragobject.id]['actie'];
						dragwidth = document.getElementById('src'+dragobject.id).width;
						dragheight = document.getElementById('src'+dragobject.id).height;
						dragx = Math.ceil(dragwidth/2);
						dragy = Math.ceil(dragheight/2);
						max_x = 720 - dragwidth;
						max_y = 490 - dragheight;
						if (dragsettings[6] == "ja")
						{
							dragobject.style.zIndex = (this_tegel[1]*6) + (this_tegel[2]*6) + 2;
						}
						else
						{
							dragobject.style.zIndex = (this_tegel[1]*6) + (this_tegel[2]*6) + 2 + 5;
						}
						/*
							*6 en +5 voor stapelen
						*/
						eval("x = this_tegel[3]"+dragsettings[0]+";");
						eval("y = this_tegel[4]"+dragsettings[1]+";");
						if (this_draai == 1 || this_draai == 3)
						{
							eval("y = y-("+Math.floor(((dragsettings[9]/2)-0.5)*33)+");");
							eval("y = y+("+Math.floor(((dragsettings[10]/2)-0.5)*33)+");");
						}
						if (this_draai == 3 || this_draai == 4)
						{
							eval("x = x"+dragsettings[2]+";");
							eval("y = y"+dragsettings[3]+";");
						}
						if (this_actie == "ja")
						{
							if (this_draai == 2)
							{
								eval("x = x"+dragsettings[4]+";");
							}
							eval("y = y"+dragsettings[5]+";");
						}
					}
					else
					{
						if (check_vrij_tegel == "stapel")
						{
							hoogste_item_nr = stapelgebruik[roep_tegel][(stapelgebruik[roep_tegel].length-1)];
							hoogste_item = savegedoe[hoogste_item_nr];
							hoeveel_items = stapelgebruik[roep_tegel][0];
							hoeveelste_item = hoogste_item['stapelnr']+1;
							hoogste_meubisettings = meubisetting[hoogste_item['cat']+"_"+hoogste_item['catnr']];
							if (hoeveel_items < 6 && hoogste_meubisettings[6] == "ja") // als er nog stapelplaats over is
							{
								laatlos = "ja";
								to_item(dragobject.id);
								document.getElementById('src'+dragobject.id).className = 'item_solid';
								this_draai = savegedoe[dragobject.id]['h'];
								this_actie = savegedoe[dragobject.id]['actie'];
								dragwidth = document.getElementById('src'+dragobject.id).width;
								dragheight = document.getElementById('src'+dragobject.id).height;
								dragx = Math.ceil(dragwidth/2);
								dragy = Math.ceil(dragheight/2);
								max_x = 720 - dragwidth;
								max_y = 490 - dragheight;
								dragobject.style.zIndex = parseInt(hoogste_item['z']) + 1;
								eval("x = parseInt(hoogste_item['x'])-("+hoogste_meubisettings[0]+");");
								eval("y = parseInt(hoogste_item['y'])-("+hoogste_meubisettings[1]+");");
								eval("x = x-("+hoogste_meubisettings[0]+");");
								eval("y = y-("+hoogste_meubisettings[1]+");");
								if (savegedoe[hoogste_item_nr]['h'] == 3 || savegedoe[hoogste_item_nr]['h'] == 4)
								{
									eval("x = x-("+hoogste_meubisettings[2]+");");
									eval("y = y-("+hoogste_meubisettings[3]+");");
								}
								if (savegedoe[hoogste_item_nr]['actie'] == "ja")
								{
									if (this_draai == 2)
									{
										eval("x = x-("+hoogste_meubisettings[4]+");");
									}
									eval("y = y-("+hoogste_meubisettings[5]+");");
								}
								eval("x = x"+hoogste_meubisettings[0]+";");
								eval("y = y"+hoogste_meubisettings[1]+";");
								eval("x = x"+dragsettings[0]+";");
								eval("y = y"+dragsettings[1]+";");
								if (savegedoe[hoogste_item_nr]['h'] == 1 || savegedoe[hoogste_item_nr]['h'] == 3)
								{
									eval("y = y+("+Math.floor(((hoogste_meubisettings[9]/2)-0.5)*33)+");");
									eval("y = y-("+Math.floor(((hoogste_meubisettings[10]/2)-0.5)*33)+");");
								}
								if (this_draai == 1 || this_draai == 3)
								{
									eval("y = y-("+Math.floor(((dragsettings[9]/2)-0.5)*33)+");");
									eval("y = y+("+Math.floor(((dragsettings[10]/2)-0.5)*33)+");");
								}
								if (this_draai == 3 || this_draai == 4)
								{
									eval("x = x"+dragsettings[2]+";");
									eval("y = y"+dragsettings[3]+";");
								}
								if (this_actie == "ja")
								{
									eval("x = x"+dragsettings[4]+";");
									eval("y = y"+dragsettings[5]+";");
								}
								eval("x = x"+hoogste_meubisettings[7]+";");
								eval("y = y"+hoogste_meubisettings[8]+";");
							}
							else // tegel staat al volgestapeld (6 meubels op één tegel max.)
							{
								laatlos = "nee";
								changepos = false;
							}
						}
						else // als de tegel niet vrij is en bezet is: tegel is dus bezeth
						{
							laatlos = "nee";
							changepos = false;
						}
						// als de tegel niet vrij is maar de de tegel de begintegel is 
						if (check_vrij_tegel == "huidig")
						{ 
							laatlos = "ja";
							changepos = true;
							to_item(dragobject.id);
							document.getElementById('src'+dragobject.id).className = 'item_solid';
							x = parseInt(savegedoe[dragobject.id]['x']);
							y = parseInt(savegedoe[dragobject.id]['y']);
							dragobject.style.zIndex = savegedoe[dragobject.id]['z'];
						}
					}
				}
				else
				{
					laatlos = "nee";
					dragobject.style.zIndex = get_top()*1;
					to_icon(dragobject.id);
					document.getElementById('src'+dragobject.id).className = 'item_trans2';
					dragwidth = document.getElementById('src'+dragobject.id).width;
					dragheight = document.getElementById('src'+dragobject.id).height;
					dragx = Math.ceil(dragwidth/2);
					dragy = Math.ceil(dragheight/2);
					max_x = 720 - dragwidth;
					max_y = 490 - dragheight;
				}
			}
			else
			{
				if (checkmuren(posx, posy, 2) == 1)
				{
					check1 = checkmuren(x, y+(dragwidth/4), 1);
					check2 = checkmuren((x+dragwidth), y, 1);
					check3 = checkmuren(x, (y+dragheight), 1);
					check4 = checkmuren((x+dragwidth), ((y+dragheight)-(dragwidth/4)), 1);
					
					check2_1 = checkmuren(x, y+(dragwidth/4), 2);
					check2_2 = checkmuren((x+dragwidth), y, 2);
					check2_3 = checkmuren(x, (y+dragheight), 2);
					check2_4 = checkmuren((x+dragwidth), ((y+dragheight)-(dragwidth/4)), 2);
				}
				else
				{
					check1 = checkmuren(x, y, 1);
					check2 = checkmuren((x+dragwidth), y+(dragwidth/4), 1);
					check3 = checkmuren(x, ((y+dragheight)-(dragwidth/4)), 1);
					check4 = checkmuren((x+dragwidth), (y+dragheight), 1);
					
					check2_1 = checkmuren(x, y, 2);
					check2_2 = checkmuren((x+dragwidth), y+(dragwidth/4), 2);
					check2_3 = checkmuren(x, ((y+dragheight)-(dragwidth/4)), 2);
					check2_4 = checkmuren((x+dragwidth), (y+dragheight), 2);
				}
				if (check1 && check2 && check3 && check4 && check2_1 == check2_2 && check2_1 == check2_3 && check2_1 == check2_4)
				{
					changepos = true;
					z = 3;
					laatlos = "ja";
					to_item(dragobject.id);
					if (savegedoe[dragobject.id]['actie'] == "ja")
					{
						poster_extra = "b";
					}
					else
					{
						poster_extra = "";
					}
					document.getElementById('src'+dragobject.id).src = "images/items/"+savegedoe[dragobject.id]['cat']+"/"+savegedoe[dragobject.id]['catnr']+"/"+checkmuren(posx, posy, 2)+poster_extra+".gif";
					document.getElementById('src'+dragobject.id).className = 'item_solid';
					dragwidth = document.getElementById('src'+dragobject.id).width;
					dragheight = document.getElementById('src'+dragobject.id).height;
					dragx = Math.ceil(dragwidth/2);
					dragy = Math.ceil(dragheight/2);
					max_x = 720 - dragwidth;
					max_y = 490 - dragheight;
				}
				else
				{
					if (!checkmuren(posx, posy, 1))
					{
						laatlos = "nee";
						z = get_top()*1;
						to_icon(dragobject.id);
						document.getElementById('src'+dragobject.id).className = 'item_trans2';
						dragwidth = document.getElementById('src'+dragobject.id).width;
						dragheight = document.getElementById('src'+dragobject.id).height;
						dragx = Math.ceil(dragwidth/2);
						dragy = Math.ceil(dragheight/2);
						max_x = 720 - dragwidth;
						max_y = 490 - dragheight;
					}
					else
					{
						if (savegedoe[dragobject.id]['actie'] == "ja")
						{
							poster_extra = "b";
						}
						else
						{
							poster_extra = "";
						}
						document.getElementById('src'+dragobject.id).className = 'item_trans2';
						document.getElementById('src'+dragobject.id).src = "images/items/"+savegedoe[dragobject.id]['cat']+"/"+savegedoe[dragobject.id]['catnr']+"/"+checkmuren(posx, posy, 2)+poster_extra+".gif";
						laatlos = "nee";
					}
				}
			}
		}
		if (handstatus == "ja" && room_hand_status == "ja")
		{
			laatlos = "ja";
		}
		if (changepos)
		{
			dragobject.style.left = x + "px";
			dragobject.style.top = y + "px";
			if (podium[savegedoe[dragobject.id]['cat']+"_"+savegedoe[dragobject.id]['catnr']]['soort'] == "poster")
			{
				dragobject.style.zIndex = z;
				if (handstatus == "ja")
				{
					dragobject.style.zIndex = get_top()*1;
				}
			}
		}
		return false;
	}
	else
	{
		checktegels(posx, posy);
	}
}
function dragstop()
{
	if (dragobject != null && laatlos == "ja" && zet_neer_status == "ja")
	{
		hoeveelste_item = 1;
		document.getElementById('src'+dragobject.id).className = 'item_solid';
		this_tegel = checktegels(posx, posy);
		roep_tegel = this_tegel[1]+"_"+this_tegel[2];
		check_tegels_array = maak_tegel_array(roep_tegel, savegedoe[dragobject.id]['h'], dragsettings[9], dragsettings[10])
		aantal_vrij = 0;
		aantal_bezet = 0;
		aantal_huidig = 0;
		for (i = 0; i < check_tegels_array.length; i++)
		{
			this_check = vrijtegel(check_tegels_array[i], dragobject.id, savegedoe[dragobject.id]['tegel']);
			if (this_check == "vrij")
			{
				aantal_vrij++;
			}
			if (this_check == "bezet")
			{
				aantal_bezet++;
			}
			if (this_check == "huidig")
			{
				aantal_huidig++;
			}
		}
		if (aantal_bezet == 0)
		{
			if ((aantal_vrij+aantal_huidig) == check_tegels_array.length)
			{
				if(aantal_vrij != 0)
				{
					resultaat = "vrij";
				}
				else
				{
					resultaat = "huidig";
				}
			}
			else
			{
				resultaat = "stapel";
			}
		}
		else
		{
			resultaat = "bezet";
		}
		check_vrij_tegel = resultaat;
		if (podium[savegedoe[dragobject.id]['cat']+"_"+savegedoe[dragobject.id]['catnr']]['soort'] != "poster")
		{
			if (this_tegel[0] == "ja")
			{
				if (check_vrij_tegel == "vrij")
				{
					laatlos = "ja";
					to_item(dragobject.id);
					document.getElementById('src'+dragobject.id).className = 'item_solid';
					this_draai = savegedoe[dragobject.id]['h'];
					this_actie = savegedoe[dragobject.id]['actie'];
					dragwidth = document.getElementById('src'+dragobject.id).width;
					dragheight = document.getElementById('src'+dragobject.id).height;
					dragx = Math.ceil(dragwidth/2);
					dragy = Math.ceil(dragheight/2);
					max_x = 720 - dragwidth;
					max_y = 490 - dragheight;
					if (dragsettings[6] == "ja")
					{
						dragobject.style.zIndex = (this_tegel[1]*6) + (this_tegel[2]*6) + 2;
					}
					else
					{
						dragobject.style.zIndex = (this_tegel[1]*6) + (this_tegel[2]*6) + 2 + 5;
					}
					/*
						*6 en +5 voor stapelen
					*/
					eval("x = this_tegel[3]"+dragsettings[0]+";");
					eval("y = this_tegel[4]"+dragsettings[1]+";");
					if (this_draai == 1 || this_draai == 3)
					{
						eval("y = y-("+Math.floor(((dragsettings[9]/2)-0.5)*33)+");");
						eval("y = y+("+Math.floor(((dragsettings[10]/2)-0.5)*33)+");");
					}
					if (this_draai == 3 || this_draai == 4)
					{
						eval("x = x"+dragsettings[2]+";");
						eval("y = y"+dragsettings[3]+";");
					}
					if (this_actie == "ja")
					{
						if (this_draai == 2)
						{
							eval("x = x"+dragsettings[4]+";");
						}
						eval("y = y"+dragsettings[5]+";");
					}
				}
				else
				{
					if (check_vrij_tegel == "stapel")
					{
						hoogste_item_nr = stapelgebruik[roep_tegel][(stapelgebruik[roep_tegel].length-1)];
						hoogste_item = savegedoe[hoogste_item_nr];
						hoeveel_items = stapelgebruik[roep_tegel][0];
						hoeveelste_item = hoogste_item['stapelnr']+1;
						hoogste_meubisettings = meubisetting[hoogste_item['cat']+"_"+hoogste_item['catnr']];
						if (hoeveel_items < 6 && hoogste_meubisettings[6] == "ja") // als er nog stapelplaats over is
						{
							laatlos = "ja";
							to_item(dragobject.id);
							document.getElementById('src'+dragobject.id).className = 'item_solid';
							this_draai = savegedoe[dragobject.id]['h'];
							this_actie = savegedoe[dragobject.id]['actie'];
							dragwidth = document.getElementById('src'+dragobject.id).width;
							dragheight = document.getElementById('src'+dragobject.id).height;
							dragx = Math.ceil(dragwidth/2);
							dragy = Math.ceil(dragheight/2);
							max_x = 720 - dragwidth;
							max_y = 490 - dragheight;
							dragobject.style.zIndex = parseInt(hoogste_item['z']) + 1;
							eval("x = parseInt(hoogste_item['x'])-("+hoogste_meubisettings[0]+");");
							eval("y = parseInt(hoogste_item['y'])-("+hoogste_meubisettings[1]+");");
							eval("x = x-("+hoogste_meubisettings[0]+");");
							eval("y = y-("+hoogste_meubisettings[1]+");");
							if (savegedoe[hoogste_item_nr]['h'] == 3 || savegedoe[hoogste_item_nr]['h'] == 4)
							{
								eval("x = x-("+hoogste_meubisettings[2]+");");
								eval("y = y-("+hoogste_meubisettings[3]+");");
							}
							if (savegedoe[hoogste_item_nr]['actie'] == "ja")
							{
								if (this_draai == 2)
								{
									eval("x = x-("+hoogste_meubisettings[4]+");");
								}
								eval("y = y-("+hoogste_meubisettings[5]+");");
							}
							eval("x = x"+hoogste_meubisettings[0]+";");
							eval("y = y"+hoogste_meubisettings[1]+";");
							eval("x = x"+dragsettings[0]+";");
							eval("y = y"+dragsettings[1]+";");
							if (savegedoe[hoogste_item_nr]['h'] == 1 || savegedoe[hoogste_item_nr]['h'] == 3)
							{
								eval("y = y+("+Math.floor(((hoogste_meubisettings[9]/2)-0.5)*33)+");");
								eval("y = y-("+Math.floor(((hoogste_meubisettings[10]/2)-0.5)*33)+");");
							}
							if (this_draai == 1 || this_draai == 3)
							{
								eval("y = y-("+Math.floor(((dragsettings[9]/2)-0.5)*33)+");");
								eval("y = y+("+Math.floor(((dragsettings[10]/2)-0.5)*33)+");");
							}
							if (this_draai == 3 || this_draai == 4)
							{
								eval("x = x"+dragsettings[2]+";");
								eval("y = y"+dragsettings[3]+";");
							}
							if (this_actie == "ja")
							{
								eval("x = x"+dragsettings[4]+";");
								eval("y = y"+dragsettings[5]+";");
							}
							eval("x = x"+hoogste_meubisettings[7]+";");
							eval("y = y"+hoogste_meubisettings[8]+";");
						}
					}
					else
					{
						laatlos = "nee";
						changepos = false;
					}
					if (check_vrij_tegel == "huidig")
					{
						laatlos = "ja";
						changepos = true;
						to_item(dragobject.id);
						document.getElementById('src'+dragobject.id).className = 'item_solid';
						x = parseInt(savegedoe[dragobject.id]['x']);
						y = parseInt(savegedoe[dragobject.id]['y']);
						dragobject.style.zIndex = savegedoe[dragobject.id]['z'];
					}
				}
			}
		}
		else
		{
			if (checkmuren(posx, posy, 2) == 1)
			{
				check1 = checkmuren(x, y+(dragwidth/4), 1);
				check2 = checkmuren((x+dragwidth), y, 1);
				check3 = checkmuren(x, (y+dragheight), 1);
				check4 = checkmuren((x+dragwidth), ((y+dragheight)-(dragwidth/4)), 1);
				
				check2_1 = checkmuren(x, y+(dragwidth/4), 2);
				check2_2 = checkmuren((x+dragwidth), y, 2);
				check2_3 = checkmuren(x, (y+dragheight), 2);
				check2_4 = checkmuren((x+dragwidth), ((y+dragheight)-(dragwidth/4)), 2);
			}
			else
			{
				check1 = checkmuren(x, y, 1);
				check2 = checkmuren((x+dragwidth), y+(dragwidth/4), 1);
				check3 = checkmuren(x, ((y+dragheight)-(dragwidth/4)), 1);
				check4 = checkmuren((x+dragwidth), (y+dragheight), 1);
				
				check2_1 = checkmuren(x, y, 2);
				check2_2 = checkmuren((x+dragwidth), y+(dragwidth/4), 2);
				check2_3 = checkmuren(x, ((y+dragheight)-(dragwidth/4)), 2);
				check2_4 = checkmuren((x+dragwidth), (y+dragheight), 2);
			}
			if (check1 && check2 && check3 && check4 && check2_1 == check2_2 && check2_1 == check2_3 && check2_1 == check2_4)
			{
				changepos = true;
				z = 3;
				laatlos = "ja";
				to_item(dragobject.id);
				savegedoe[dragobject.id]['h'] = checkmuren(posx, posy, 2);
				if (savegedoe[dragobject.id]['actie'] == "ja")
				{
					poster_extra = "b";
				}
				else
				{
					poster_extra = "";
				}
				document.getElementById('src'+dragobject.id).src = "images/items/"+savegedoe[dragobject.id]['cat']+"/"+savegedoe[dragobject.id]['catnr']+"/"+checkmuren(posx, posy, 2)+poster_extra+".gif";
				document.getElementById('src'+dragobject.id).className = 'item_solid';
				dragwidth = document.getElementById('src'+dragobject.id).width;
				dragheight = document.getElementById('src'+dragobject.id).height;
				dragx = Math.ceil(dragwidth/2);
				dragy = Math.ceil(dragheight/2);
				max_x = 720 - dragwidth;
				max_y = 490 - dragheight;
			}
		}
		if (x < 0)
		{
			x = 0;
		}
		if (y < 0)
		{
			y = 0;
		}
		if (x > max_x)
		{
			x = max_x;
		}
		if (y > max_y)
		{
			y = max_y;
		}
		if (room_hand_status == "ja")
		{
			if (posx <= 720 && posy <= 162 && posx >= 453 && posy >= 0)
			{
				document.getElementById('knoppen').innerHTML = "";
				handstatus = "ja";
				to_icon(dragobject.id);
				dragwidth = document.getElementById('src'+dragobject.id).width;
				dragheight = document.getElementById('src'+dragobject.id).height;
				dragx = Math.ceil(dragwidth/2);
				dragy = Math.ceil(dragheight/2);
				max_x = 720 - dragwidth;
				max_y = 490 - dragheight;
			}
			else
			{
				handstatus = "nee";
				to_item(dragobject.id);
				dragwidth = document.getElementById('src'+dragobject.id).width;
				dragheight = document.getElementById('src'+dragobject.id).height;
				dragx = Math.ceil(dragwidth/2);
				dragy = Math.ceil(dragheight/2);
				max_x = 720 - dragwidth;
				max_y = 490 - dragheight;
			}
		}
		dragobject.style.left = x + "px";
		dragobject.style.top = y + "px";
		savegedoe[dragobject.id]['x'] = dragobject.style.left;
		savegedoe[dragobject.id]['y'] = dragobject.style.top;
		savegedoe[dragobject.id]['z'] = dragobject.style.zIndex;
		savegedoe[dragobject.id]['handstatus'] = handstatus;
		if (handstatus == "ja")
		{
			savegedoe[dragobject.id]['tegel'] = "0_0";
		}
		else
		{
			savegedoe[dragobject.id]['tegel'] = roep_tegel;
		}
		savegedoe[dragobject.id]['stapelnr'] = hoeveelste_item;
		save_item(dragobject.id);
		set_gebruik();
		if (room_hand_status == "ja")
		{
			set_hand_inhoud('close');
			set_hand_inhoud('open');
		}
		handstatus = "";
		HideContent('schim');
		dragobject = null;
		dragsettings = "";
		dragwidth = 0;
		dragheight = 0;
		max_x = 0;
		max_y = 0;
	}
	else
	{
		this_tegel = checktegels(posx, posy);
		if (ctrl_status == "nee" && alt_status == "nee" && dragobject == null)
		{
			roep_tegel = this_tegel[1]+"_"+this_tegel[2];
			check_vrij_tegel = vrijtegel_pop(roep_tegel)
			if (this_tegel[0] == "ja")
			{
				if (check_vrij_tegel == "vrij")
				{
					instelbeurt = 0;
					pop_tegelgebruik = "";
					pop_tegelgebruik = tegelgebruik;
					poppetje_bereken(roep_tegel);
					
					poppetjes_bezet_teller = 0;
					poppetjes_bezet = "";
					poppetjes_bezet = new Array();
				}
			}
		}
	}
}
function poppetje_go_stel_in(tegel_go)
{
	setTimeout("poppetje_go('"+tegel_go+"');", (instelbeurt*500));
	instelbeurt++;
}
function poppetje_bereken(tegeldoel)
{
	tegel_nu = save_poppetje['tegel'];
	tegel1_nu = (tegel_nu.split(/_/)[0])*1;
	tegel2_nu = (tegel_nu.split(/_/)[1])*1;
	tegel_doel = tegeldoel;
	tegel1_doel = (tegel_doel.split(/_/)[0])*1;
	tegel2_doel = (tegel_doel.split(/_/)[1])*1;
	
	neem_vakje = tegel_nu;
	
	if (tegel_nu != tegel_doel)
	{
		tegel_nu1 = (tegel_nu.split(/_/)[0])*1;
		tegel_nu2 = (tegel_nu.split(/_/)[1])*1;
		
		tegel_mogelijk_1 = (tegel_nu1)+"_"+(tegel_nu2+1);
		tegel_mogelijk_2 = (tegel_nu1+1)+"_"+(tegel_nu2);
		tegel_mogelijk_3 = (tegel_nu1)+"_"+(tegel_nu2-1);
		tegel_mogelijk_4 = (tegel_nu1-1)+"_"+(tegel_nu2);
		
		setteller = 0;
		mogelijk_array = "";
		mogelijk_array = new Array();
		mogelijk_array_punten = "";
		mogelijk_array_punten = new Array();
		if (vrijtegel_pop(tegel_mogelijk_1) == "vrij")
		{
			mogelijk_array[setteller] = tegel_mogelijk_1;
			mogelijk_array_punten[setteller] = 0;
			setteller++;
		}
		if (vrijtegel_pop(tegel_mogelijk_2) == "vrij")
		{
			mogelijk_array[setteller] = tegel_mogelijk_2;
			mogelijk_array_punten[setteller] = 0;
			setteller++;
		}
		if (vrijtegel_pop(tegel_mogelijk_3) == "vrij")
		{
			mogelijk_array[setteller] = tegel_mogelijk_3;
			mogelijk_array_punten[setteller] = 0;
			setteller++;
		}
		if (vrijtegel_pop(tegel_mogelijk_4) == "vrij")
		{
			mogelijk_array[setteller] = tegel_mogelijk_4;
			mogelijk_array_punten[setteller] = 0;
			setteller++;
		}
		var x;
		teller=0;
		for (x in mogelijk_array)
		{
			tegel1 = (mogelijk_array[teller].split(/_/)[0])*1;
			tegel2 = (mogelijk_array[teller].split(/_/)[1])*1;
			punten = mogelijk_array_punten[teller];
			
			if(tegel1_nu > tegel1_doel)
			{
				if(tegel1 < tegel1_nu)
				{
					punten++;
				}
			}
			if(tegel1_nu < tegel1_doel)
			{
				if(tegel1 > tegel1_nu)
				{
					punten++;
				}
			}
			if(tegel2_nu > tegel2_doel)
			{
				if(tegel2 < tegel2_nu)
				{
					punten++;
				}
			}
			if(tegel2_nu < tegel2_doel)
			{
				if(tegel2 > tegel2_nu)
				{
					punten++;
				}
			}
			mogelijk_array_punten[teller] = punten;
			teller++;
		}
		var x;
		teller=0;
		hoogste_punten = 0;
		for (x in mogelijk_array)
		{
			tegel = mogelijk_array[teller];
			punten = mogelijk_array_punten[teller];
			if(punten >= hoogste_punten)
			{
				hoogste_punten = punten;
				neem_vakje = tegel;
			}
			teller++;
		}
		poppetje_go(neem_vakje);
		if(neem_vakje != tegel_nu)
		{
			setTimeout("poppetje_bereken('"+tegeldoel+"');", (100));
		}
			
	}
}
function poppetje_go(tegel)
{
	y = vloer_posy[tegel];
	tegel1 = (tegel.split(/_/)[0])*1;
	tegel2 = (tegel.split(/_/)[1])*1;
	z = (tegel1*6) + (tegel2*6) + 2 + 5;
	x = vloer_posx[tegel]+15;
	y = vloer_posy[tegel]-60;
	document.getElementById('poppetje').style.left = x;
	document.getElementById('poppetje').style.top = y;
	document.getElementById('poppetje').style.zIndex = z;
	save_poppetje['tegel'] = tegel;
	poppetjes_bezet[poppetjes_bezet_teller] = tegel;
	poppetjes_bezet_teller++;
}
function room_set_hand(manier)
{
	if (manier == "reverse")
	{
		if (room_hand_status == "ja")
		{
			manier_doen = "close";
		}
		else
		{
			manier_doen = "open";
		}
	}
	else
	{
		manier_doen = manier;
	}
	if (manier_doen == "open")
	{
		room_hand_status = "ja";
		set_hand_inhoud('open');
		ShowContent('room_hand');
		ShowContent('hand_back');
		ShowContent('hand_next');
		ShowContent('hand_close');
	}
	else
	{
		room_hand_status = "nee";
		set_hand_inhoud('close');
		HideContent('room_hand');
		HideContent('hand_back');
		HideContent('hand_next');
		HideContent('hand_close');
	}
}
function set_hand_inhoud(manier)
{
	hand_inhoud = "";
	hand_inhoud = new Array();
	var x;
	teller = 0;
	teller2 = 0;
	for (x in thismeubi)
	{
		this_item_nr = thismeubi[teller];
		this_status = savegedoe[this_item_nr]['handstatus'];
		if (this_status == "ja")
		{
			hand_inhoud[teller2] = this_item_nr;
			teller2++;
		}
		teller++;
	}
	hand_lengte = hand_inhoud.length;
	hand_inhoud_nu = "";
	hand_inhoud_nu = new Array();
	aantal_blz = Math.ceil(hand_lengte/9);
	if (hand_lengte <= 9)
	{
		for (i = 0; i < hand_lengte; i++)
		{
			hand_inhoud_nu[i] = hand_inhoud[i];
		}
	}
	else
	{
		tot_item = hand_blz * 9;
		van_item = tot_item - 9;
		if (tot_item > hand_lengte)
		{
			tot_item = hand_lengte;
		}
		tellertje = 0;
		for (i = van_item; i < tot_item; i++)
		{
			hand_inhoud_nu[tellertje] = hand_inhoud[i];
			tellertje++;
		}
	}
	if (manier == "open")
	{
		for (i = 0; i < hand_inhoud_nu.length; i++)
		{
			ShowContent(hand_inhoud_nu[i]);
			document.getElementById(hand_inhoud_nu[i]).style.left = hand_icon_posx[i]+"px";
			document.getElementById(hand_inhoud_nu[i]).style.top = hand_icon_posy[i]+"px";
			document.getElementById(hand_inhoud_nu[i]).style.zIndex = i + 3 + 140; // 140: mag niet onder geplaatse meubels komen
		}
		if (aantal_blz > 1)
		{
			if (hand_blz != 1)
			{
				document.getElementById('hand_back').className = 'knop_solid';
				hand_back_able = "ja";
			}
			else
			{
				document.getElementById('hand_back').className = 'knop_trans';
				hand_back_able = "nee";
			}
			if (hand_blz != aantal_blz)
			{
				document.getElementById('hand_next').className = 'knop_solid';
				hand_next_able = "ja";
			}
			else
			{
				document.getElementById('hand_next').className = 'knop_trans';
				hand_next_able = "nee";
			}
		}
		else
		{
			document.getElementById('hand_back').className = 'knop_trans';
			document.getElementById('hand_next').className = 'knop_trans';
			hand_back_able = "nee";
			hand_next_able = "nee";
		}
	}
	else
	{
		for (i = 0; i < hand_lengte; i++)
		{
			if (dragobject != null)
			{
				if (hand_inhoud[i] != dragobject.id)
				{
					HideContent(hand_inhoud[i]);
				}
			}
			else
			{
				HideContent(hand_inhoud[i]);
			}
		}
	}
}
function hand_go_back()
{
	if (hand_back_able == "ja")
	{
		set_hand_inhoud('close');
		if (hand_blz != 1)
		{
			hand_blz--;
		}
		set_hand_inhoud('open');
	}
}
function hand_go_next()
{
	if (hand_next_able == "ja")
	{
		set_hand_inhoud('close');
		if (hand_blz != aantal_blz)
		{
			hand_blz++;
		}
		set_hand_inhoud('open');
	}
}
function pak_op(item)
{
	to_icon(item);
	savegedoe[item]['handstatus'] = "ja";
	savegedoe[item]['tegel'] = "0_0";
	save_item(item);
	set_gebruik();
	if (room_hand_status == "ja")
	{
		set_hand_inhoud('close');
		set_hand_inhoud('open');
	}
	else
	{
		room_set_hand('open');
	}
	document.getElementById('knoppen').innerHTML = "";
}
function geklikt(spreek)
{
	if (dragobject == null)
	{
		if (spreek != "")
		{
			cat = savegedoe[spreek]['cat'];
			catnr = savegedoe[spreek]['catnr'];
			geklikt_naam = podium[cat+"_"+catnr]['naam'];
			geklikt_omschrijving = podium[cat+"_"+catnr]['omschrijf'];
			geklikt_hoeken = podium[cat+"_"+catnr]['afb'];
			geklikt_cat_actie = podium[cat+"_"+catnr]['actie'];
			draai = "ja";
			if (ctrl_status == "ja")
			{
				if (podium[savegedoe[spreek]['cat']+"_"+savegedoe[spreek]['catnr']]['soort'] != "poster")
				{
					draaien(draai, cat, catnr, geklikt_hoeken, spreek);
				}
			}
			if (alt_status == "ja")
			{
				if (podium[savegedoe[spreek]['cat']+"_"+savegedoe[spreek]['catnr']]['soort'] != "poster")
				{
					dragstart(document.getElementById(spreek));
				}
			}
			handstatus = savegedoe[spreek]['handstatus'];
			if (handstatus == "ja")
			{
				dragstart(document.getElementById(spreek));
			}
			else
			{
				if (geklikt_hoeken == 1)
				{
					draai = "nee";
				}
				document.getElementById('aboutnaam').innerHTML = "<font color='white'><center>"+geklikt_naam+"</center></font>";
			    document.getElementById('omschrijf').innerHTML = "<font color='white'><div align='right'>"+geklikt_omschrijving+"</div></font>";
			    document.getElementById('icon').innerHTML = "<img src='images/items/"+cat+"/"+catnr+"/icon.gif' border='0'>";
			    if (kamer_eigenaar == jouwnaam)
			    {
				    document.getElementById('knoppen').innerHTML = '<a onclick="pak_op(\''+spreek+'\')"><img id="pakop" src="kamers/pakop.gif" border="0" onmousedown="pakop_down()" onmouseup="pakop_up()" style="cursor: default;"></a>';
					if (podium[cat+"_"+catnr]['soort'] != "poster")
					{
						document.getElementById('knoppen').innerHTML += '<a onclick="draaien(\''+draai+'\', '+cat+', '+catnr+', '+geklikt_hoeken+', \''+spreek+'\')"><img id="draai" src="kamers/draai.gif" border="0" onmousedown="draaidown()" onmouseup="draaiup()" style="cursor: default;"></a><a onclick="verplaatsklik('+spreek+')"><img id="verplaats" src="kamers/verplaats.gif" border="0" onmousedown="verplaatsdown()" onmouseup="verplaatsup()" style="cursor: default;"></a>';
					}
					if (jouwnaam == 'thomas')
					{
						document.getElementById('knoppen').innerHTML += '<a onclick="config_furni('+spreek+')"><span class="roomfont">Config</span></a>';
					}
				}
			}
	    }
	    else
	    {
		    document.getElementById('aboutnaam').innerHTML = "";
		    document.getElementById('omschrijf').innerHTML = "";
		    document.getElementById('icon').innerHTML = "";
		    document.getElementById('knoppen').innerHTML = "";
	    }
    }
}
function kado_show(kado_nr, message)
{
	this_kado = kado_nr;
	document.getElementById('kado_kaartje_layer').style.zIndex = get_top()*1; change_top(document.getElementById("kado_kaartje_layer").style.zIndex);
	ShowContent('kado_strikje');
	HideContent('kado_icon');
	ShowContent('kado_kaartje_layer');
	if (kamer_eigenaar == jouwnaam)
	{
		ShowContent('gift_openknop');
	}
	document.getElementById('k_message').innerHTML = message;
}
function kado_open()
{
	HideContent('gift_openknop');
	kado_open_send(this_kado);
}
function kado_kaartje_sluit()
{
	HideContent('kado_kaartje_layer');
	HideContent('gift_openknop');
	document.getElementById('k_message').innerHTML = "";
}
function draaien(doen, cat, catnr, hoeken, spreeknr)
{
	if (kamer_eigenaar == jouwnaam)
	{
		meubisettings = meubisetting[savegedoe[spreeknr]['cat']+"_"+savegedoe[spreeknr]['catnr']];
		actienu = savegedoe[spreeknr]['actie'];
		draainu = savegedoe[spreeknr]['h'];
		if (draainu == hoeken)
		{
			check_draainu = 1;
		}
		else
		{
			check_draainu = (draainu*1)+1;
		}
		check_tegels_array = maak_tegel_array(savegedoe[spreeknr]['tegel'], check_draainu, meubisettings[9], meubisettings[10])
		aantal_vrij = 0;
		aantal_bezet = 0;
		aantal_huidig = 0;
		for (i = 0; i < check_tegels_array.length; i++)
		{
			this_check = vrijtegel(check_tegels_array[i], spreeknr, savegedoe[spreeknr]['tegel']);
			if (this_check == "vrij")
			{
				aantal_vrij++;
			}
			if (this_check == "bezet")
			{
				aantal_bezet++;
			}
			if (this_check == "huidig")
			{
				aantal_huidig++;
			}
		}
		if (aantal_bezet == 0)
		{
			if ((aantal_vrij+aantal_huidig) == check_tegels_array.length)
			{
				resultaat = "ja";
			}
			else
			{
				resultaat = "nee";
			}
		}
		else
		{
			resultaat = "nee";
		}
		if (resultaat == "nee")
		{
			doen = "nee";
		}
		if (savegedoe[spreeknr]['handstatus'] == "ja")
		{
			doen = "nee";
		}
		if (doen == "ja")
		{
			eval("x = parseInt(savegedoe[spreeknr]['x'])-("+meubisettings[0]+");");
			eval("y = parseInt(savegedoe[spreeknr]['y'])-("+meubisettings[1]+");");
			if (draainu == 3 || draainu == 4)
			{
				eval("x = x-("+meubisettings[2]+");");
				eval("y = y-("+meubisettings[3]+");");
			}
			if (actienu == "ja")
			{
				if (draainu == 2)
				{
					eval("x = x-("+meubisettings[4]+");");
				}
				eval("y = y-("+meubisettings[5]+");");
			}
			if (draainu == hoeken)
			{
				draainu = 1;
			}
			else
			{
				draainu = (draainu*1)+1;
			}
			if (draainu == 1 || draainu == 3)
			{
				if (meubisettings[9] != meubisettings[10])
				{
					eval("y = y-("+Math.floor(((meubisettings[9]/2)-0.5)*33)+");");
					eval("y = y+("+Math.floor(((meubisettings[10]/2)-0.5)*33)+");");
				}
			}
			if (draainu == 2 || draainu == 4)
			{
				if (meubisettings[9] != meubisettings[10])
				{
					eval("y = y+("+Math.floor(((meubisettings[9]/2)-0.5)*33)+");");
					eval("y = y-("+Math.floor(((meubisettings[10]/2)-0.5)*33)+");");
				}
			}
			eval("x = x"+meubisettings[0]+";");
			eval("y = y"+meubisettings[1]+";");
			if (draainu == 3 || draainu == 4)
			{
				eval("x = x"+meubisettings[2]+";");
				eval("y = y"+meubisettings[3]+";");
			}
			if (actienu == "ja")
			{
				if (draainu == 2)
				{
					eval("x = x"+meubisettings[4]+";");
				}
				eval("y = y"+meubisettings[5]+";");
				newimg = "images/items/"+cat+"/"+catnr+"/"+draainu+"b.gif";
			}
			else
			{
				newimg = "images/items/"+cat+"/"+catnr+"/"+draainu+".gif";
			}
			document.getElementById("src"+spreeknr).src = newimg;
			document.getElementById(spreeknr).style.left = x + "px";
			document.getElementById(spreeknr).style.top = y + "px";
			savegedoe[spreeknr]['x'] = x;
			savegedoe[spreeknr]['y'] = y;
			savegedoe[spreeknr]['h'] = draainu;
			save_item(spreeknr);
			set_gebruik();
		}
	}
}
function actieklik(cat, catnr, spreeknr)
{
	meubisettings = meubisetting[savegedoe[spreeknr]['cat']+"_"+savegedoe[spreeknr]['catnr']];
	if (savegedoe[spreeknr]['handstatus'] == "nee" && ctrl_status == "nee" && alt_status == "nee")
	{
		roepimgaan = "src"+spreeknr;
		actienu = savegedoe[spreeknr]['actie'];
		draainu = savegedoe[spreeknr]['h'];
		eval("x = parseInt(savegedoe[spreeknr]['x'])-("+meubisettings[0]+");");
		eval("y = parseInt(savegedoe[spreeknr]['y'])-("+meubisettings[1]+");");
		eval("x = x"+meubisettings[0]+";");
		eval("y = y"+meubisettings[1]+";");
		if (actienu == "ja")
		{
			actienu = "nee";
			eval("y = y-("+meubisettings[5]+");");
			newimg = "images/items/"+cat+"/"+catnr+"/"+draainu+".gif";
		}
		else
		{
			actienu = "ja";
			eval("y = y"+meubisettings[5]+";");
			newimg = "images/items/"+cat+"/"+catnr+"/"+draainu+"b.gif";
		}
		if (actienu == "ja")
		{
			if (draainu == 2)
			{
				eval("x = x"+meubisettings[4]+";");
			}
		}
		else
		{
			if (draainu == 2)
			{
				eval("x = x-("+meubisettings[4]+");");
			}
		}
		document.getElementById(roepimgaan).src = newimg;
		document.getElementById(spreeknr).style.left = x + "px";
		document.getElementById(spreeknr).style.top = y + "px";
		savegedoe[spreeknr]['x'] = x;
		savegedoe[spreeknr]['y'] = y;
		savegedoe[spreeknr]['actie'] = actienu;
		save_item(spreeknr);
	}
}
function draaidown()
{
	document.getElementById('draai').src = "kamers/draai2.gif";
}
function draaiup()
{
	document.getElementById('draai').src = "kamers/draai.gif";
}
function actiedown()
{
	document.getElementById('actie').src = "kamers/actie2.gif";
}
function actieup()
{
	document.getElementById('actie').src = "kamers/actie.gif";
}
function verplaatsklik(roepaan)
{
	dragstart(document.getElementById(roepaan));
}
function verplaatsdown()
{
	document.getElementById('verplaats').src = "kamers/verplaats2.gif";
}
function verplaatsup()
{
	document.getElementById('verplaats').src = "kamers/verplaats.gif";
}
function pakop_down()
{
	document.getElementById('pakop').src = "kamers/pakop2.gif";
}
function pakop_up()
{
	document.getElementById('pakop').src = "kamers/pakop.gif";
}
function hand_back_down()
{
	if (hand_back_able == "ja")
	{
		document.getElementById('hand_back').src = "kamers/hand_back2.gif";
	}
}
function hand_back_up()
{
	if (hand_back_able == "ja")
	{
		document.getElementById('hand_back').src = "kamers/hand_back.gif";
	}
}
function hand_next_down()
{
	if (hand_next_able == "ja")
	{
		document.getElementById('hand_next').src = "kamers/hand_next2.gif";
	}
}
function hand_next_up()
{
	if (hand_next_able == "ja")
	{
		document.getElementById('hand_next').src = "kamers/hand_next.gif";
	}
}
function hand_close_down()
{
	document.getElementById('hand_close').src = "kamers/hand_close2.gif";
}
function hand_close_up()
{
	document.getElementById('hand_close').src = "kamers/hand_close.gif";
}
function tele(toId, teleSrc, cat, catnr, h)
{
	document.getElementById(teleSrc).src = "images/items/"+cat+"/"+catnr+"/"+h+"b.gif";
	setTimeout("show_room("+toId+");", 1000);
}
function config_furni(furni_id)
{
	furni_id = savegedoe[furni_id]['cat']+"_"+savegedoe[furni_id]['catnr'];
	bezig_furni_id = furni_id;
	document.getElementById('config_furni_layer').style.zIndex = get_top()*1;
	text1 = "Wijzig x:<br><input class='clientfont' type='text' id='config_0' value='"+meubisetting[furni_id][0]+"'>";
	text1 += "<br>Wijzig y:<br><input class='clientfont' type='text' id='config_1' value='"+meubisetting[furni_id][1]+"'>";
	text1 += "<br>Draai x:<br><input class='clientfont' type='text' id='config_2' value='"+meubisetting[furni_id][2]+"'>";
	text1 += "<br>Draai y:<br><input class='clientfont' type='text' id='config_3' value='"+meubisetting[furni_id][3]+"'>";
	text1 += "<br>Actie x:<br><input class='clientfont' type='text' id='config_4' value='"+meubisetting[furni_id][4]+"'>";
	text1 += "<br>Actie y:<br><input class='clientfont' type='text' id='config_5' value='"+meubisetting[furni_id][5]+"'>";
	text1 += "<br>Stapelen: (ja of nee)<br><input class='clientfont' type='text' id='config_6' value='"+meubisetting[furni_id][6]+"'>";
	text1 += "<br>Stapel x:<br><input class='clientfont' type='text' id='config_7' value='"+meubisetting[furni_id][7]+"'>";
	text1 += "<br>Stapel y:<br><input class='clientfont' type='text' id='config_8' value='"+meubisetting[furni_id][8]+"'>";
	text1 += "<br>Lengte:<br><input class='clientfont' type='text' id='config_9' value='"+meubisetting[furni_id][9]+"'>";
	text1 += "<br>Breedte:<br><input class='clientfont' type='text' id='config_10' value='"+meubisetting[furni_id][10]+"'>";
	document.getElementById('config_furni_text_1').innerHTML = text1;
	ShowContent('config_furni_layer');
}
function config_update()
{
	furni_id = bezig_furni_id;
	meubisetting[furni_id][0] = document.getElementById("config_0").value;
	meubisetting[furni_id][1] = document.getElementById("config_1").value;
	meubisetting[furni_id][2] = document.getElementById("config_2").value;
	meubisetting[furni_id][3] = document.getElementById("config_3").value;
	meubisetting[furni_id][4] = document.getElementById("config_4").value;
	meubisetting[furni_id][5] = document.getElementById("config_5").value;
	meubisetting[furni_id][6] = document.getElementById("config_6").value;
	meubisetting[furni_id][7] = document.getElementById("config_7").value;
	meubisetting[furni_id][8] = document.getElementById("config_8").value;
	meubisetting[furni_id][9] = document.getElementById("config_9").value;
	meubisetting[furni_id][10] = document.getElementById("config_10").value;
}
function config_furni_stop()
{
	HideContent('config_furni_layer');
}
function geldklik(cat, catnr, spreeknr)
{
	meubisettings = cat+"_"+catnr;
	if (savegedoe[spreeknr]['handstatus'] == "nee")
	{
		waarde = 0;
		if(catnr == 1)
		{
			waarde = 10;
		}
		if(catnr == 2)
		{
			waarde = 5;
		}
		if(catnr == 3)
		{
			waarde = 1;
		}
		if(catnr == 4)
		{
			waarde = 20;
		}
		if(catnr == 5)
		{
			waarde = 50;
		}
		if (waarde == 1)
		{
			bijvoegsel = "";
		}
		else
		{
			bijvoegsel = "s";
		}
		wissel_waarde = waarde;
		wissel_nr = spreeknr;
		start_verstijf();
		document.getElementById("handel_inruilen_layer").style.zIndex = parseInt(get_top()) + 1; change_top(document.getElementById("handel_inruilen_layer").style.zIndex);
		document.getElementById("handel_inruilen_text").innerHTML = "<b>Je staat op het punt je meubel in te ruilen tegen "+waarde+" Credit"+bijvoegsel+".</b>";
		ShowContent("handel_inruilen_layer");
	}
}
function handel_ruil_in()
{
	savegedoe[wissel_nr]['tegel'] = "0_0";
	HideContent(wissel_nr);
	set_gebruik();
	handel_del_item(wissel_nr);
	stop_handel_inruilen();
}
function stop_handel_inruilen()
{
	stop_verstijf();
	HideContent("handel_inruilen_layer");
}